Qt 5.11 | Qt 3D | C++ Classes | QStencilTest

Qt 5.11.3 Reference Documentation

# QStencilTest Class

(Qt3DRender::QStencilTest)

The QStencilTest class specifies arguments for the stecil test. More...

Header: | #include <QStencilTest>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | StencilTest
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilTestArguments* const
- front : Qt3DRender::QStencilTestArguments* const

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QStencilTest(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::QStencilTestArguments * | back() const

- 13 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QStencilTest class specifies arguments for the stecil test.

A Qt3DRender::QStencilTest class specifies argument for the stencil test. The stencil test comprises of three arguments: stencil test function, stencil test mask and stencil reference value. QStencilTest allows these arguments to be set for both front- and back-facing polygons separately.

See also Qt3DRender::QStencilMask and Qt3DRender::QStencilOperation.

## Property Documentation

### back : Qt3DRender::QStencilTestArguments* const

Holds the stencil test arguments for back-facing polygons.

Access functions:

Qt3DRender::QStencilTestArguments * | back() const

### front : Qt3DRender::QStencilTestArguments* const

Holds the stencil test arguments for front-facing polygons.

## Member Function Documentation

### QStencilTest::QStencilTest(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QStencilTest::QStencilTest instance with the specified parent.